ItemStash = {
	Char		= "s",

	StartIndex	= 1,

	HP			= 10
}

function ItemStash:AddItems( ... )
	self.Items = { ... }
end

function ItemStash:BumpInto()
	local I = self.StartIndex

	while I <= #self.Items do
		if self.Items[ I ] == "Gold" then
			Hero.Gold = Hero.Gold + self.Items[ I + 1 ]

			PrintLog( "You pick up " .. self.Items[ I + 1 ] .. " gold." )

			I = I + 1
		else
			local Item = CreateObject( self.Items[ I ], self.TileX, self.TileY )

			if not Hero:AddToInventory( Item, ( Item.Kind == "Other" and "Other" or "Usable" ) ) then
				Item.HP			= -1
				self.StartIndex	= I

				SyncObject   ( Item )
				RemoveFromMap( Item )
				SwitchObjects( self, Hero )

				return
			end
		end

		I = I + 1
	end

	self.HP = -1
end
